ROHTO BUGS - Bug #1685
[ESS-TRAVEL] workflow tidak bisa melanjutkan ke employee requester settlement karena error form

ada yang kosong

10/12/2022 11:42 AM - Muhammad Bintar

Status: Closed Start date: 10/12/2022
Priority: High Due date: 10/18/2022
Assignee: M Azid Wahyudi % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 2.00 hours

Description

Dear tim developer, mohon supportnya untuk memberikan validasi jika ada form yang kosong pada travel route, accomodation dan
travel cost karena di client terjadi error sehingga menyebabkan workflow tidak lanjut ke taskid berikutnya.
error yang timbul adalah seperti tulisan ini pada runtaskasync.

prc_data_post_req_route-error on Create:Input string was not in a correct format. - MinovalS.MinovaES.Business.WorkFlow
remote.minovais.com, 31121

username minovais

password 123

database sql server 2019
remote.minovais.com , 1458

History

#1 - 10/12/2022 02:09 PM - Kezia Pawitra Yulianti
- Status changed from New to Assigned

- Priority changed from Normal to High

#2 - 10/12/2022 04:41 PM - M Azid Wahyudi

dear masbin udah bisa di test ya tapi saat ini di port http://remote.minovais.com:61121/

package :

update di bizproc

07/02/2025 12


http://remote.minovais.com:61121/

before submit :

if (taskld === "start' || taskld === "create’) {
gridStoreRoute.each(function (item, idx) {

if (item && item.get('RouteStartDate’) ===") {
MinovaMessageError("Error", 'VALGRID', "");
isSubmit = 0;

}

D;

gridStoreAccom.each(function (item, idx) {

if (item && item.get('AccomStartDate') ===") {
MinovaMessageError("Error", 'VALGRID', "");
isSubmit = 0;

}

D;

gridStoreCost.each(function (item, idx) {

if (item && item.get('CostNumber’) ===") {
MinovaMessageError("Error", 'VALGRID', "");
isSubmit = 0;

}

D;

}

smessagecatalog : VALGRID
custparam : WFTVDEFDATE

makasih

#3 - 10/12/2022 04:42 PM - M Azid Wahyudi
- Assignee changed from M Azid Wahyudi to Muhammad Bintar

#4 - 10/18/2022 02:57 PM - Muhammad Bintar
- File clipboard-202210181457-atop8.png added
- Status changed from Assigned to Closed

- Assignee changed from Muhammad Bintar to M Azid Wahyudi

oke sudah di deploy ke client...
